<div class="container-fluid">
  <!-- Bootstrap row -->
  <div class="row">
    <!-- Sidebar -->
    <div id="sidebar-container" class="sidebar-expanded">
      <!-- d-* hiddens the Sidebar in smaller devices. Its itens can be kept on the Navbar 'Menu' -->
      <!-- Bootstrap List Group -->
      <div class="innerDiv">
        <ul class="list-group menuList">
          <button (click)="SidebarCollapse()"
            class="bg-dark list-group-item list-group-item-action d-flex align-items-center">
            <div class="d-flex w-100 justify-content-start align-items-center">
              <span id="collapse-icon" class="fa fa-angle-right fa-s fa-rotate-180 open_menu"></span>
              <!-- <span id="collapse-text" class="menu-collapsed">Collapse</span> -->
            </div>
          </button>
          <!-- Separator with title -->
          <!-- /END Separator -->
          <!-- Menu with submenu -->
          <!-- <button id="home" routerLink="/landing" (click)="HighlightMainMenu('#home'); HighlightSubMenu('#home');" 
            data-toggle="collapse" aria-expanded="false" title="{{menuContent?.home?.title}}"
            class="bg-dark selected list-group-item list-group-item-action flex-column align-items-start">
            <div class="d-flex w-100 justify-content-start align-items-center submenu-selected">
                <svg-icon src="assets/images/featureicons/Home.svg" [stretch]="true" [applyCss]="true"
                class="homeIcon sidebar">
              </svg-icon>
              <span class="menu-collapsed">{{menuContent?.home?.title}}</span>
            </div>
          </button> -->
          <button id="sourceConnectors" routerLink="features/onboardedData" (click)="HighlightMainMenu('#sourceConnectors'); 
            HighlightSubMenu('#sourceConnectors');" data-toggle="collapse" aria-expanded="false" title="{{menuContent?.sourceConnectors?.title}}"
            appPermissions functionality="onboard" action="R"
            class="bg-dark list-group-item list-group-item-action flex-column align-items-start">
            <div class="d-flex w-100 justify-content-start align-items-center">
              <span>
                <svg-icon src="assets/images/featureicons/Source-Connectors.svg" [stretch]="true" [applyCss]="true"
                  class="srcConnectorIcon sidebar">
                </svg-icon>
              </span>
              <span class="menu-collapsed">{{menuContent?.sourceConnectors?.title}}</span>
            </div>
          </button>
          <!-- <a id="sourceConnectors" href="#sourceConnectorsSubmenu" data-toggle="collapse" aria-expanded="false"
            class="bg-dark list-group-item list-group-item-action flex-column align-items-start">
            <div class="d-flex w-100 justify-content-start align-items-center">
              <span>
                <svg-icon src="assets/images/featureicons/Data-Ingestion.svg" [stretch]="true" [svgStyle]="{
                  'width.px': 20,
                  'height.px': 20,
                  fill: 'rgb(150,50,255)',
                  'padding.px': 0,
                  'margin-right.px': 10
                }">
                </svg-icon>
              </span>
              <span class="menu-collapsed">{{menuContent?.sourceConnectors?.title}}</span>
              <span class="submenu-icon ml-auto"></span>
            </div>
          </a>
          Source Connector Submenu content start
          <div id='sourceConnectorsSubmenu' class="collapse sidebar-submenu">
            <a id="dataOnboarding" routerLink="/dataOnboarding"
              (click)="HighlightMainMenu('#sourceConnectors');HighlightSubMenu('#dataOnboarding');"
              class="list-group-item list-group-item-action bg-dark text-white">
              <span class="fa fa-link fa-lg fa-fw mr-2"></span>
              <span class="menu-collapsed">{{menuContent?.sourceConnectors?.subMenu?.sourceOnboard?.title}}</span>
            </a>
            <a id="onboardedData" routerLink="/onboardedData"
              (click)="HighlightMainMenu('#sourceConnectors');HighlightSubMenu('#onboardedData');"
              class="list-group-item list-group-item-action bg-dark text-white">
              <span class="fa fa-list-alt fa-lg fa-fw mr-2"></span>
              <span class="menu-collapsed">{{menuContent?.sourceConnectors?.subMenu?.OnboardedSources?.title}}</span>
            </a>
          </div>
          Source Connector Submenu content end-->
          <button disabled="true" id="dataIngestion" routerLink="features/dataIngestion" title="{{menuContent?.dataIngestion?.title}}"
            (click)="HighlightMainMenu('#dataIngestion');HighlightSubMenu('#dataIngestion');"
            appPermissions functionality="ingestion" action="R"
            class="list-group-item list-group-item-action bg-dark text-white">
            <svg-icon src="assets/images/featureicons/Data-Ingestion.svg" [stretch]="true" [applyCss]="true"
                  class="dataIngestionIcon sidebar">
                </svg-icon>
            <span class="menu-collapsed">{{menuContent?.dataIngestion?.title}}</span>
          </button>
          <button disabled="true" id="dataCatalogue" routerLink="/home/features/dataCatalogue" appPermissions functionality="catalog" 
            (click)="HighlightMainMenu('#dataCatalogue'); HighlightSubMenu('#dataCatalogue');"
            data-toggle="collapse" aria-expanded="false" title="{{menuContent?.dataCatalogue?.title}}"
            class="bg-dark list-group-item list-group-item-action flex-column align-items-start">
            <div class="d-flex w-100 justify-content-start align-items-center">
                <svg-icon src="assets/images/featureicons/Data-Catalog-and-Lineage.svg" [stretch]="true" [applyCss]="true"
                class="dataCatalogIcon sidebar">
              </svg-icon>
              <span class="menu-collapsed">{{menuContent?.dataCatalogue?.title}}</span>
            </div>
          </button>
          <button disabled="true" id="dataQuality" class="bg-dark list-group-item list-group-item-action" routerLink="features/dataQuality"
            (click)="HighlightMainMenu('#dataQuality');HighlightSubMenu('#dataQuality');"
            appPermissions functionality="dq" action="R"
            title="{{menuContent?.dataQuality?.title}}">
            <div class="d-flex w-100 justify-content-start align-items-center">
                <svg-icon src="assets/images/featureicons/Data-Quality.svg" [stretch]="true" [applyCss]="true"
                class="dataQualityIcon sidebar">
              </svg-icon>
              <span class="menu-collapsed">{{menuContent?.dataQuality?.title}}</span>
            </div>
          </button>
          <button href="#" class="bg-dark list-group-item list-group-item-action" *ngIf="showAllMenu"
            title="{{menuContent?.dataProcessing?.title}}">
            <div class="d-flex w-100 justify-content-start align-items-center">
                <svg-icon src="assets/images/featureicons/Data-Processing.svg" [stretch]="true" [applyCss]="true"
                class="dataProcessingIcon sidebar">
              </svg-icon>
              <span class="menu-collapsed">{{menuContent?.dataProcessing?.title}}</span>
            </div>
          </button>
          <button href="#" class="bg-dark list-group-item list-group-item-action" *ngIf="showAllMenu" title="{{menuContent?.dataModel?.title}}">
            <div class="d-flex w-100 justify-content-start align-items-center">
                <svg-icon src="assets/images/featureicons/DWH-Data-Model.svg" [stretch]="true" [applyCss]="true"
                class="dataModelIcon sidebar">
              </svg-icon>
              <span class="menu-collapsed">{{menuContent?.dataModel?.title}}</span>
            </div>
          </button>
          <button href="#" class="bg-dark list-group-item list-group-item-action" *ngIf="showAllMenu"
            title="{{menuContent?.DataOrchestration?.title}}">
            <div class="d-flex w-100 justify-content-start align-items-center">
                <svg-icon src="assets/images/featureicons/Data-Orchestration.svg" [stretch]="true" [applyCss]="true"
                class="dataOrchestrationIcon sidebar">
              </svg-icon>
              <span class="menu-collapsed">{{menuContent?.DataOrchestration?.title}}</span>
            </div>
          </button>
          <button href="#" class="bg-dark list-group-item list-group-item-action" *ngIf="showAllMenu"
            title="{{menuContent?.dataConsumption?.title}}">
            <div class="d-flex w-100 justify-content-start align-items-center">
                <svg-icon src="assets/images/featureicons/Data-Consumption.svg" [stretch]="true" [applyCss]="true"
                class="dataConsumptionIcon sidebar">
              </svg-icon>
              <span class="menu-collapsed">{{menuContent?.dataConsumption?.title}}</span>
            </div>
          </button>

          <button disabled="true" id="brms" routerLink="features/brms" (click)="HighlightMainMenu('#brms'); HighlightSubMenu('#brms');" 
            data-toggle="collapse" title="{{menuContent?.brms?.title}}" aria-expanded="false"
            appPermissions functionality="brms" action="R"
            class="bg-dark list-group-item list-group-item-action flex-column align-items-start">
            <div class="d-flex w-100 justify-content-start align-items-center">
                <svg-icon src="assets/images/BRMS_iconn.svg" [stretch]="true" [applyCss]="true"
                class="brmsIcon sidebar">
              </svg-icon>
              <span class="menu-collapsed">{{menuContent?.brms?.title}}</span>
            </div>
          </button>
          <button href="#" class="bg-dark list-group-item list-group-item-action" *ngIf="showAllMenu" title="{{menuContent?.settings?.title}}">
            <div class="d-flex w-100 justify-content-start align-items-center">
              <span class="fa fa-cogs fa-2x mr-3"></span>
              <span class="menu-collapsed">{{menuContent?.settings?.title}} </span>
            </div>
          </button>
        </ul>
      </div>
      <!-- List Group END-->
    </div>
    <!-- sidebar-container END -->

    <!-- MAIN -->
    <div role="main" class="col-lg" id="main-layout">
      <router-outlet></router-outlet>
      <!-- <app-footer-section></app-footer-section> -->
      <!-- Main Col END -->
    </div>
  </div>
  <!-- body-row END -->
</div>